    # File lib/fog/rackspace/models/compute_v2/metadata.rb, line 39
            def []=(key, value)
              return super(key,value) if key.is_a?(Integer)
              return nil unless key
              datum = self.find {|datum| datum.key == key || datum.key == key.to_sym }
              if datum
                data.value = value
              else
                self << Fog::Compute::RackspaceV2::Metadatum.new(:key => key, :value => value, :connection => connection, :parent => parent)
              end
              value
            end